F-Secure Anti-Virus for Workstations 7.11 - do I need SAS as well?

Discussion in 'other anti-virus software' started by ChrisP, Apr 21, 2008.

Thread Status:
Not open for further replies.
  1. ChrisP

    ChrisP Suspended Member

    Joined:
    Jun 6, 2003
    Posts:
    447
    Location:
    UK
    Im keen to get rid of any software I dont need. As Im running the above AV, do I need SAS as well?

    Will this version of F-Secure protect me from modified / repacked / polymorphic trojans etc?

    Cheers,

    Chris
     
  2. lodore

    lodore Registered Member

    Joined:
    Jun 22, 2006
    Posts:
    9,006
    its always nice to have a second opintion.
    using sas as ondemand from time to time would could be a good idea but with f-secure your unlikely to need it.
    always felt safe with f-secure when i used to use it.
    im surprised that f-secure antivirus for workstation doesnt include f-secure deep guard.
    only the client secuirty does.
    quite a shame to not have deepguard.
     
  3. Firecat

    Firecat Registered Member

    Joined:
    Jan 2, 2005
    Posts:
    7,927
    Location:
    The land of no identity :D
    Yes, but if DeepGuard is not there then one layer of protection against such threats is lost. It will still protect against such threats when the scan engine is able to unpack the file (i.e. the file has a supported packer).
     
  4. Macstorm

    Macstorm Registered Member

    Joined:
    Mar 7, 2005
    Posts:
    2,531
    Location:
    Sneffels volcano
    Same what Lodore said.
    I would also add Spybot for on-demand scans and in-advance immunization (don't use the TeaTimer & SDHelper features), and SpywareBlaster, both as prevention measures against spyware.
     
  5. ChrisP

    ChrisP Suspended Member

    Joined:
    Jun 6, 2003
    Posts:
    447
    Location:
    UK
    Thanks for the advice / replies. I think I will keep SAS Pro running for the time being. Is there a HIPS (or whatever it is called) that you think is good. I own a licence for SSM, but found it slowed the system so uninstalled it.

    Cheers.
     
  6. 19monty64

    19monty64 Registered Member

    Joined:
    Apr 10, 2006
    Posts:
    1,302
    Location:
    Nunya, BZ
    Currently using FSIS, which has a separate AS-module and HIPS, so if just using the FSAV keep SAS and maybe ThreatFire. I used it before switching to the :eek: :eek: :eek: suite only. ...just my 2c tho :D
     
  7. kwg

    kwg Registered Member

    Joined:
    Jun 30, 2007
    Posts:
    126
    The current version of F-Secure's workstation product does include DeepGuard:

    http://www.f-secure.com/export/system/fsgalleries/datasheets/fspsb_standard.pdf

     
Loading...
Thread Status:
Not open for further replies.